From b63e762be058a10418cbb2671fe62a9651ff44fc Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 29 2016 15:10:44 +0000
Subject: [PATCH 353/1001] Add a nice repr for widgets.


---

diff --git a/hubs/models.py b/hubs/models.py
index abd92f4..9fe8f04 100755
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -321,6 +321,9 @@ class Widget(BASE):
             'config': self.config,
         }
 
+    def __repr__(self):
+        return "<Widget %s /%s/%i>" % (self.plugin, self.hub.name, self.idx)
+
     @property
     def module(self):
         return hubs.widgets.registry[self.plugin]

